<?php
///////////////////////////////////////////////////////////////////////////////
//
// Generates a logout button.  Target script destroys the current session
// then returns to the calling page
// Howard Griffin, January 2009.
//
// Usage:
// $include_path = $_SERVER['DOCUMENT_ROOT']."/include";
// include("$include_path/logoutButton.php");
//
///////////////////////////////////////////////////////////////////////////////

$callingURI = $_SERVER['PHP_SELF'];

$destURI    = "logout.php";

// run the following only if you are logged in
if ($currUser != "") {  // session variable, not get or put type variable
    print "<form name=logout action=\"$destURI\" method=\"POST\">";
    print "<table><tr><td>";
    print "<input type='hidden' name=callingURI value=" . $callingURI . ">";
    print "<input type='submit' value='Log Out' onClick=\"submit()\">";
    print "</td></tr></table>";
    print "</form>";
}
?>
